Class | Fog::Compute::AWS::Volumes
In: | lib/fog/aws/models/compute/volumes.rb
Parent: | Fog::Collection

### Methods

all get new new

### Public Class methods

new(attributes)

     Used to create a volume.  There are 3 arguments and availability_zone and size are required.  You can generate a new key_pair as follows:
     AWS.volumes.create(:availability_zone => 'us-east-1a', :size => 10)

     ==== Returns

<Fog::AWS::Compute::Volume

      id="vol-1e2028b9",
      attached_at=nil,
      availability_zone="us-east-1a",
      created_at=Tue Nov 23 23:30:29 -0500 2010,
      delete_on_termination=nil,
      device=nil,
      server_id=nil,
      size=10,
      snapshot_id=nil,
      state="creating",
      tags=nil

>

     The volume can be retrieved by running AWS.volumes.get("vol-1e2028b9").  See get method below.

### Public Instance methods

all(filters = filters)

     Used to return all volumes.
     AWS.volumes.all

     ==== Returns

>>AWS.volumes.all <Fog::AWS::Compute::Volume

      id="vol-1e2028b9",
      attached_at=nil,
      availability_zone="us-east-1a",
      created_at=Tue Nov 23 23:30:29 -0500 2010,
      delete_on_termination=nil,
      device=nil,
      server_id=nil,
      size=10,
      snapshot_id=nil,
      state="creating",
      tags=nil

>

     The volume can be retrieved by running AWS.volumes.get("vol-1e2028b9").  See get method below.

get(volume_id)

     Used to retrieve a volume
     volume_id is required to get the associated volume information.

     You can run the following command to get the details:
     AWS.volumes.get("vol-1e2028b9")

     ==== Returns

>> AWS.volumes.get("vol-1e2028b9")

     <Fog::AWS::Compute::Volume
        id="vol-1e2028b9",
        attached_at=nil,
        availability_zone="us-east-1a",
        created_at=Tue Nov 23 23:30:29 -0500 2010,
        delete_on_termination=nil,
        device=nil,
        server_id=nil,
        size=10,
        snapshot_id=nil,
        state="available",
        tags={}
      >

new(attributes = {})

[Validate]